### Navigation

- index
- modules |
- next |
- previous |
- pyFormex v0.8.6 documentation >

# pyFormex user guide

Warning

This document and the sections below it are still very incomplete!

Abstract

The user guide explains in depth the most important components of pyFormex. It shows you how to start pyFormex, how to use the Graphical User Interface (GUI), how to use the most important data classes, functions and GUI widgets in your scripts. It also contains sections dedicated to customization and extension of pyFormex.

Sections of the user guide:

- Running pyFormex
- Command line options
- Running without the GUI
- The Graphical User Interface
  - Starting the GUI
  - Basic use of the GUI
  - The File menu
  - The Settings menu
  - The viewport menu
  - Mouse interactions on the canvas
  - Customizing the GUI
- Modeling Geometry
  - Introduction
  - The Formex model
  - The Mesh model
  - Analytical models
- The Canvas
  - Introduction
  - Drawing a Formex
  - Viewing the scene
  - Other canvas items
  - Multiple viewports
- Creating Images
  - Save a rendering as image
- Using Projects
  - What is a project
- Assigning properties to geometry
  - General properties
  - Using the set and setname fields
  - Specialized property records
  - Node properties
  - Element properties
  - Property data classes
- Using Widgets
  - The input dialog
  - The user menu
  - Other widgets
- pyFormex plugins
  - What are plugins?
  - How to create a plugin.
- Configuring pyFormex
  - Configuration files
  - Syntax of the configuration files
  - Configuration variables

### Navigation

- index
- modules |
- next |
- previous |
- pyFormex v0.8.6 documentation >